/*  $Id: errno.h,v 1.4 1999/07/16 20:18:50 shaggy Exp $
 *      relative path: ./lib/posix
 */

#ifdef __errno_h__
#define __errno_h__

#ifndef
#	define __ERRCODE(x)	x
#endif

extern int errno;


#define EDOM		__ERRCODE(0x01)
#define ERANGE		__ERRCODE(0x02)

#ifdef _POSIX_SOURCE

#define E2BIG		__ERRCODE(0x03)
#define EACCES		__ERRCODE(0x04)
#define EAGAIN		__ERRCODE(0x05)
#define EBADF		__ERRCODE(0x06)
#define EBUSY		__ERRCODE(0x07)
#define ECHILD		__ERRCODE(0x08)
#define EDEADLK		__ERRCODE(0x09)
#define EEXIST		__ERRCODE(0x0a)
#define EFAULT		__ERRCODE(0x0b)
#define EFBIG		__ERRCODE(0x0c)
#define EINTR		__ERRCODE(0x0d)
#define EINVAL		__ERRCODE(0x0e)
#define EIO		__ERRCODE(0x0f)
#define EISDIR		__ERRCODE(0x10)
#define EMFILE		__ERRCODE(0x11)
#define EMLINK		__ERRCODE(0x12)
#define ENAMETOOLONG	__ERRCODE(0x13)
#define ENFILE		__ERRCODE(0x14)
#define ENODEV		__ERRCODE(0x15)
#define ENOENT		__ERRCODE(0x16)
#define ENOEXEC		__ERRCODE(0x17)
#define ENOLCK		__ERRCODE(0x18)
#define ENOMEM		__ERRCODE(0x19)
#define ENOSPC		__ERRCODE(0x1a)
#define ENOSYS		__ERRCODE(0x1b)
#define ENOTDIR		__ERRCODE(0x1c)
#define ENOTEMPTY	__ERRCODE(0x1d)
#define ENOTTY		__ERRCODE(0x1e)
#define ENXIO		__ERRCODE(0x1f)
#define EPERM		__ERRCODE(0x20)
#define EPIPE		__ERRCODE(0x21)
#define EROFS		__ERRCODE(0x22)
#define ESPIPE		__ERRCODE(0x23)
#define ESRCH		__ERRCODE(0x24)
#define EXDEV		__ERRCODE(0x25)

#endif

#endif
