/*  $Id: StrTab.hh,v 1.7 1999/07/16 20:18:51 shaggy Exp $
 *      String Table
 */     

#ifndef __StrTab_hh__
#define __StrTab_hh__

#include <stdx1.h>
#include <defines>
#include <vStrTab>

// XXX - this string table can't know where string pointers are coming
//	from, so it always allocates space for new strings and copies them.
//	This could be inefficient for strings that already have
//	been allocated, or that are static.

// for now, this is simply a linked list (very slow)
// for simplicity.  Later this should be some sort of fast
// hash table or something.

class StrTab : public vStrTab {
private:
	struct _StrEntry {
		csz 	*string;
		uint	refcount;
		_StrEntry *next;		
	};
	_StrEntry *_list;
public:
	StrTab();
	~StrTab();
	Id id(csz *string);
	csz* string(Id id) const { return id ? ((_StrEntry*)id)->string : 0; }
	uint ref(Id id) { return id ? ++((_StrEntry*)id)->refcount : 0; }
	uint unref(Id id);
};

#endif
