
%{
int yyerror(const char *str);
int yylex(int *yylval);
int yydebug = 1;
%}

%token ID
%token ADD
%token CODE

%%

start: decl;

decl:
	  ID '{'
		 { /* init scope */ }
		code
		'}'
	;

code: CODE | code CODE;

%%

int inp[] = {
	ID, '{', CODE,CODE, '}'
};
int ntok = sizeof(inp)/sizeof(*inp);
int tnum = 0;

int
yyerror(const char *str)
{
	printf("yyerror: %s\n", str);
}

int
yylex(int *yylval)
{
	if(tnum < ntok) {
		*yylval = tnum+1;
		return inp[tnum++];
	} else
		return 0;
}

main()
{
	yyparse();
}

